purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Sugar.TypeClasses.Deriving

Description

This module implements the generic deriving elaboration that takes place during desugaring.

Synopsis

- deriveInstances :: (MonadError MultipleErrors m, MonadSupply m) => Module -> m Module

# Documentation

deriveInstances :: (MonadError MultipleErrors m, MonadSupply m) => Module -> m Module #

Elaborates deriving instance declarations by code generation.